Bug 146005 - upgrade of lang/gawk fails on missing gawk ..
Summary: upgrade of lang/gawk fails on missing gawk ..
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Matthias Andree
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-23 22:30 UTC by Ben C. O. Grimm
Modified: 2010-04-30 13:10 UTC (History)
0 users

See Also:


Attachments
Makefile.patch (283 bytes, patch)
2010-04-24 10:30 UTC, gedge
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben C. O. Grimm 2010-04-23 22:30:10 UTC
While I do appreciate the irony, I guess gawk shouldn't be deinstalled when the installation af gawk needs it ..

Making all in awklib
cc -DHAVE_CONFIG_H -I. -I..  -I.. -I..  -I/usr/local/include  -O2 -pipe -march=nocona -fno-strict-aliasing ./eg/lib/pwcat.c -export-dynamic -o pwcat
cc -DHAVE_CONFIG_H -I. -I..  -I.. -I..  -I/usr/local/include  -O2 -pipe -march=nocona -fno-strict-aliasing ./eg/lib/grcat.c -export-dynamic -o grcat
cp ./eg/prog/igawk.sh igawk ; chmod 755 igawk
sed 's;/usr/local/libexec/awk;/usr/local/libexec/awk;' < ./eg/lib/passwdawk.in > passwd.awk
sed 's;/usr/local/libexec/awk;/usr/local/libexec/awk;' < ./eg/lib/groupawk.in > group.awk
Making all in doc
Making all in po
Making all in test
===>>> Creating a backup package for old version gawk-3.1.6_1
===>  Installing for gawk-3.1.7
===>   Generating temporary packing list
===>  Checking if lang/gawk already installed
Making install in libsigsegv
make install suppressed for gawk
Making install in .
test -z "/usr/local/bin" || ./install-sh -c -d "/usr/local/bin"
gawk: not found
/usr/bin/make 'CFLAGS=-O2 -pipe -march=nocona -fno-strict-aliasing' 'LDFLAGS=-export-dynamic' install-exec-hook
(cd /usr/local/bin;  ln gawk gawk-3.1.7 2>/dev/null ;  ln pgawk pgawk-3.1.7 2>/dev/null ;  if ! /usr/bin/which -s awk;  then	ln -s gawk awk;  fi; exit 0)
*** Error code 1

Stop in /usr/ports/lang/gawk/work/gawk-3.1.7.
*** Error code 1

Stop in /usr/ports/lang/gawk/work/gawk-3.1.7.
*** Error code 1

Stop in /usr/ports/lang/gawk/work/gawk-3.1.7.
*** Error code 1

Stop in /usr/ports/lang/gawk/work/gawk-3.1.7.
*** Error code 1

Stop in /usr/ports/lang/gawk.

===>>> A backup package for gawk-3.1.6_1 should
       be located in /usr/ports/packages/portmaster-backup

===>>> Installation of gawk-3.1.7 (lang/gawk) failed
===>>> Aborting update

How-To-Repeat: portmaster gawk-3.1.6_1
Comment 1 Edwin Groothuis freebsd_committer 2010-04-23 22:30:22 UTC
Responsible Changed
From-To: freebsd-ports-bugs->krion

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 gedge 2010-04-24 10:30:43 UTC
"Ben C. O. Grimm" <send-pr@bengrimm.net> said
		(on Fri, Apr 23, 2010 at 09:21:05PM +0000):
> Making install in .
> test -z "/usr/local/bin" || ./install-sh -c -d "/usr/local/bin"
> gawk: not found
> /usr/bin/make 'CFLAGS=-O2 -pipe -march=nocona -fno-strict-aliasing' 'LDFLAGS=-export-dynamic' install-exec-hook
> (cd /usr/local/bin;  ln gawk gawk-3.1.7 2>/dev/null ;  ln pgawk pgawk-3.1.7 2>/dev/null ;  if ! /usr/bin/which -s awk;  then	ln -s gawk awk;  fi; exit 0)
> *** Error code 1
> 
> Stop in /usr/ports/lang/gawk/work/gawk-3.1.7.
> *** Error code 1

Try attached patch, then

	cd /usr/ports/lang/gawk
	patch Makefile.patch
	make install clean

worked for me.

Thanks to:

> Date: Wed, 26 Aug 2009 17:53:18 +0400
> From: Walery Kokarev <w65l76@gmail.com>
> To: freebsd-ports@freebsd.org
> Subject: lang/gawk
> 
> Hi everybody!
> 
> Today I tried to 'make install' in /usr/ports/lang/gawk but failed.
> At the same time 'make build' works properly.
> Seems gawk needs gmake to install itself.
> 
> Here is the patch for ports/lang/Makefile.
> --
> Index: Makefile
> 6a7
> >
> 22a24,25
> > USE_GMAKE=    yes

-- 
Geraint A. Edwards (aka "Gedge")
gedge@yadn.org
Comment 3 Ben C. O. Grimm 2010-04-24 15:29:51 UTC
Yeah, that was simple, and it worked. This was reported in August 2009 
already? Hope the maintainer can roll that small patch in soon then .. 
Looks rather fundamental.

Thanks again.
Comment 4 Doug Barton 2010-04-25 22:14:53 UTC
Simply adding USE_GMAKE does get the install-after-build-and-pkg_delete
to work, but when pkg_delete'ing the port after the install I get this:

pkg_delete gawk-3.1.7
pkg_delete: file '/usr/local/bin/gawk' doesn't exist
pkg_delete: file '/usr/local/bin/gawk-3.1.7' doesn't exist
pkg_delete: file '/usr/local/bin/igawk' doesn't exist
pkg_delete: file '/usr/local/bin/pgawk' doesn't exist
pkg_delete: file '/usr/local/bin/pgawk-3.1.7' doesn't exist
pkg_delete: file '/usr/local/libexec/awk/grcat' doesn't exist
pkg_delete: file '/usr/local/libexec/awk/pwcat' doesn't exist
pkg_delete: couldn't entirely delete package (perhaps the packing list
is incorrectly specified?)

So apparently that's not a complete solution.


Doug

-- 

	... and that's just a little bit of history repeating.
			-- Propellerheads

	Improve the effectiveness of your Internet presence with
	a domain name makeover!    http://SupersetSolutions.com/
Comment 5 gedge 2010-04-26 02:24:09 UTC
After applying the patch, try

	make clean
	make
	make deinstall reinstall clean


-- 
Geraint A. Edwards (aka "Gedge")
gedge@yadn.org
Comment 6 Matthias Andree freebsd_committer 2010-04-30 13:00:35 UTC
Responsible Changed
From-To: krion->mandree

I'll take it.
Comment 7 Matthias Andree freebsd_committer 2010-04-30 13:00:54 UTC
State Changed
From-To: open->closed

Fixed with recent port upgrade.
Comment 8 dfilter service freebsd_committer 2010-04-30 13:02:18 UTC
mandree     2010-04-30 12:02:04 UTC

  FreeBSD ports repository

  Modified files:
    lang/gawk            Makefile distinfo pkg-descr pkg-plist 
  Log:
  Forced commit to record the PRs below as closed:
  
  PR: ports/146005
  PR: ports/146115
  
  Revision  Changes    Path
  1.30      +0 -0      ports/lang/gawk/Makefile
  1.11      +0 -0      ports/lang/gawk/distinfo
  1.5       +0 -0      ports/lang/gawk/pkg-descr
  1.13      +0 -0      ports/lang/gawk/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"